import * as React from 'react';
import HelpQuestions from "../helpQuestions";
import SettingDropDown from "./settingDropDown";
import BranchingQuestions from "../branchingQuestions";


interface Props {
    switchState: string,
}

export default function SwitchDropDown({switchState = 'setting' }: Props) {

    switch (switchState) {
        case 'setting':
            return (<SettingDropDown/>);
            break;
        case 'help':
            return (<HelpQuestions/>);
            break
        case 'branching':
            return (<BranchingQuestions/>);
            break;
        default:
            return (<></>)
    }
}